package com.steerinfo.meterwork.meterstoragemonitornote.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class MeterStorageMonitorNote implements IBasePO<String> {
    /**
     * 操作编号(NOTE_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="操作编号",required=true)
    private String noteNo;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=false)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称",required=false)
    private String baseSpotName;

    /**
     * 操作内容(OPERATION_CONTENT,VARCHAR,20)
     */
    @ApiModelProperty(value="操作内容",required=true)
    private String operationContent;

    /**
     * 操作时间(OPERATION_TIME,VARCHAR,40)
     */
    @ApiModelProperty(value="操作时间",required=true)
    private String operationTime;

    /**
     * 包号(PACKAGE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="包号",required=false)
    private String packageNo;

    /**
     * 计量员编号(METER_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量员编号",required=false)
    private String meterManNo;

    /**
     * 计量员姓名(METER_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量员姓名",required=false)
    private String meterManName;

    /**
     * 日志来源(METER_NOTE_SOURCE,VARCHAR,1)
     */
    @ApiModelProperty(value="日志来源",required=false)
    private String meterNoteSource;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.noteNo;
    }

    @Override
    public void setId(String noteNo) {
        this.noteNo = noteNo == null ? null : noteNo.trim();
    }

    public String getNoteNo() {
        return noteNo;
    }

    public void setNoteNo(String noteNo) {
        this.noteNo = noteNo == null ? null : noteNo.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getOperationContent() {
        return operationContent;
    }

    public void setOperationContent(String operationContent) {
        this.operationContent = operationContent == null ? null : operationContent.trim();
    }

    public String getOperationTime() {
        return operationTime;
    }

    public void setOperationTime(String operationTime) {
        this.operationTime = operationTime == null ? null : operationTime.trim();
    }

    public String getPackageNo() {
        return packageNo;
    }

    public void setPackageNo(String packageNo) {
        this.packageNo = packageNo == null ? null : packageNo.trim();
    }

    public String getMeterManNo() {
        return meterManNo;
    }

    public void setMeterManNo(String meterManNo) {
        this.meterManNo = meterManNo == null ? null : meterManNo.trim();
    }

    public String getMeterManName() {
        return meterManName;
    }

    public void setMeterManName(String meterManName) {
        this.meterManName = meterManName == null ? null : meterManName.trim();
    }

    public String getMeterNoteSource() {
        return meterNoteSource;
    }

    public void setMeterNoteSource(String meterNoteSource) {
        this.meterNoteSource = meterNoteSource == null ? null : meterNoteSource.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", noteNo=").append(noteNo);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", operationContent=").append(operationContent);
        sb.append(", operationTime=").append(operationTime);
        sb.append(", packageNo=").append(packageNo);
        sb.append(", meterManNo=").append(meterManNo);
        sb.append(", meterManName=").append(meterManName);
        sb.append(", meterNoteSource=").append(meterNoteSource);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}